{{- if .Values.seq.enabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: seq
  namespace: argocd
spec:
  project: aux
  destination:
    server: https://kubernetes.default.svc
    namespace: seq
  sources:
  - repoURL: https://helm.datalust.co
    targetRevision: 2024.1.0
    chart: seq
    helm:
      valueFiles:
        - $values/values/seq/values.yaml
  - repoURL: https://gitlab.com/oceanbox/manifests.git
    targetRevision: main
    ref: values
{{- end }}
